Recall Existing Mandate by Initiator
This endpoint allows the client to request the recall of an existing mandate. Initiator client can recall the mandate if the mandate creation or mandate amendment is not approved or declined by the payer customer within the given stipulated time. Client can define business expiry time up to 5 calender days and after which initiator client can recall the mandate, if the payer customer did not approve or decline.
Authentication
AuthorizationBearer
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Query parameters
client_id
Unique reference which was shared during CitiConnect API onboarding (client_id which used during OAuth token generation).
mandate_identification
Specify unique identification, as assigned by the clearing scheme, to identify the mandate.
Request
Recall
action_id
Specifies identifier for the action recall mandate
country
Specify the country code where the mandate request originated.
Australia = AU
Hongkong = HK
Argentina = AR
SEPA = UK
Response
OK
mandate_acceptance
Errors
400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error